/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.ergebnis.entity;

public interface GewaehltBase extends 
de.ivu.elect.jee.entity.customdata.CustomDataEntity<GewaehltPK, GewaehltUK>

{

  
  /**
   * getter for primary key wrapper GEWAEHLT.gewaehlt_id
   *
   * @return
   */
  @Override
  GewaehltPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for GEWAEHLT.GEWAEHLT_STATUS
   *
   */
  de.ivu.elect.business.ergebnis.entity.GewaehltStatus getGewaehltStatus();

  /**
   * 
   *
   * setter for GEWAEHLT.GEWAEHLT_STATUS
   *
   * @param gewaehltStatus
   */
  void setGewaehltStatus(de.ivu.elect.business.ergebnis.entity.GewaehltStatus gewaehltStatus);
      

  /**
   * 
   *
   * getter for GEWAEHLT.GEWAEHLT_STATUS_VERGABE
   *
   */
  de.ivu.elect.business.ergebnis.entity.GewaehltStatusVergabe getGewaehltStatusVergabe();

  /**
   * 
   *
   * setter for GEWAEHLT.GEWAEHLT_STATUS_VERGABE
   *
   * @param gewaehltStatusVergabe
   */
  void setGewaehltStatusVergabe(de.ivu.elect.business.ergebnis.entity.GewaehltStatusVergabe gewaehltStatusVergabe);
      

  /**
   * 
   *
   * getter for GEWAEHLT.RANG
   *
   */
  java.lang.Long getRang();

  /**
   * 
   *
   * setter for GEWAEHLT.RANG
   *
   * @param rang
   */
  void setRang(java.lang.Long rang);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setCustomDataStorage(de.ivu.elect.business.customdata.entity.CustomDataStorage customDataStorage);

  /**
   * 
   */
  de.ivu.elect.business.customdata.entity.CustomDataStorage getCustomDataStorage();



  /**
   * 
   */
  void setErgebnis(de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis);

  /**
   * 
   */
  de.ivu.elect.business.ergebnis.entity.Ergebnis getErgebnis();



/**
 * Beziehungen N:1 bidirektional
 */

  /**
   * 
   */
  void setKandidatur(de.ivu.elect.business.kandidatur.entity.Kandidatur kandidatur);


/**
 * 
 * Kein Update der bidirektionalen Beziehung - schneller, aber mit Vorsicht zu genießen
 */
   void setKandidaturOhneUpdateBeziehung(de.ivu.elect.business.kandidatur.entity.Kandidatur kandidatur);

/**
   * 
   */
  de.ivu.elect.business.kandidatur.entity.Kandidatur getKandidatur();




/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
